import { App } from 'vue';
import { AppOptions } from './app/index';
/**
 * Devkit插件
 */
export interface Devkit {
    install(app: App): void;
}
/**
 * Devkit配置
 */
export type DevkitOptions = AppOptions;
/**
 * 创建Devkit插件
 */
export declare function createDevkit(devkitOptions: DevkitOptions): Devkit;
