import { ViewModel } from '../viewmodel/index';
import { FormControlConfig } from './types';
import { FormControl } from './form-control';
/**
 * 表单构造器
 */
declare class FormBuilder {
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 值访问器工厂
     */
    private valueAccessorFactory;
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel);
    /**
     * 构造表单控件
     */
    buildFormControl(controlConfig: FormControlConfig): FormControl;
}
export { FormBuilder };
