/**
 * 绑定类型
 */
declare enum BindingType {
    /**
     * 实体状态
     */
    EntityState = "EntityState",
    /**
     * UI状态
     */
    UIState = "UIState"
}
/**
 * 表单控件描述
 */
interface FormControlConfig {
    /**
     * 控件名称
     */
    name: string;
    /**
     * 绑定类型
     */
    bindingType: BindingType;
    /**
     * 绑定路径
     */
    bindingPath: string;
}
export { BindingType, FormControlConfig };
