import { Entity, EntityState } from '../../entity/index';
import { ValueAccessor } from './value-accessor';
/**
 * 实体状态值访问器
 */
declare class EntityStateValueAccessor implements ValueAccessor {
    /**
     * 实体状态
     */
    private entityState;
    /**
     * 绑定路径
     */
    private bindingPath;
    /**
     * 构造函数
     */
    constructor(entityState: EntityState<Entity>, bindingPath: string);
    /**
     * 从数据源获取值
     */
    getValue(): any;
    /**
     * 向数据源赋值
     */
    setValue(controlValue: any): void;
}
export { EntityStateValueAccessor };
