import { UIState } from '../../uistate';
import { ValueAccessor } from './value-accessor';
/**
 * UIState值访问器
 */
declare class UIStateValueAccessor implements ValueAccessor {
    /**
     * 构造函数
     */
    constructor(uiState: UIState, path: string);
    /**
     * 从数据源获取值
     */
    getValue(): any;
    /**
     * 从数据源设置值
     */
    setValue(controlValue: any): void;
}
export { UIStateValueAccessor };
