import { ViewModel } from '../../viewmodel/index';
import { FormControlConfig } from '../types';
import { ValueAccessor } from './value-accessor';
/**
 * 绑定值访问器工厂
 */
declare class ValueAccessorFactory {
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel);
    /**
     * 创建值访问器
     */
    create(controlConfig: FormControlConfig): ValueAccessor;
}
export { ValueAccessorFactory };
