/**
 * 状态机变更类型
 */
export declare enum StateMachineChangeType {
    /**
     * 值变更
     */
    StateChange = "StateChange"
}
/**
 * 状态机变更
 */
export interface StateMachineChange {
    /**
     * 变更类型
     */
    type: StateMachineChangeType;
}
/**
 * 状态机状态变化
 */
export interface StateMachineStateChange extends StateMachineChange {
    /**
     * 变更类型
     */
    type: StateMachineChangeType.StateChange;
    /**
     * 旧状态
     */
    oldState: string;
    /**
     * 新状态
     */
    newState: any;
}
