import { StateMachine } from './state-machine';
/**
 * 状态机初始化器
 */
declare class StateMachineInitializer {
    /**
     * 状态机
     */
    private stateMachine;
    /**
     * 构造函数
     */
    constructor(stateMachine: StateMachine);
    /**
     * 初始化属性
     */
    init(): void;
    /**
     * 初始化State属性
     */
    private initStateProps;
    /**
     * 初始化RenderState属性
     */
    private initRenderStateProps;
    /**
     * 初始化Action属性
     */
    private initActionProps;
}
export { StateMachineInitializer };
