import { StateMachineContext } from './state-machine-context';
/**
 * 页面状态
 */
export type SmState = string;
/**
 * 渲染状态
 */
export type SmRenderState = boolean;
/**
 * 渲染方法
 */
export type SmRender = (context: StateMachineContext) => SmRenderState;
/**
 * 动作
 */
export type SmAction = () => any;
