/**
 * 动作元数据类型
 */
interface ActionPropMeta {
    name?: string;
}
/**
 * 动作元数据名称
 */
declare const ACTION_PROP_META_NAME = "ACTION";
/**
 * 动作装饰器类型
 */
type ActionPropDecoratorFactory = (actionMeta?: ActionPropMeta) => MethodDecorator;
/**
 * 动作装饰器工厂
 */
declare const Action: ActionPropDecoratorFactory;
export { ActionPropMeta, ACTION_PROP_META_NAME, ActionPropDecoratorFactory, Action };
