import { EffectScope } from 'vue';
import { ViewModel } from '../viewmodel';
import { PropWrapper } from './prop-wrapper';
/**
 * 属性包装器工厂
 */
declare class PropWrapperFactory {
    /**
     * 创建属性包装器
     */
    create(viewModel: ViewModel, propName: string, propMeta: any, scope: EffectScope): PropWrapper;
}
export { PropWrapperFactory };
