import { StaticProvider } from '../common/di/index';
import { App } from '../app/index';
import { ViewModel } from './viewmodel';
/**
 * 视图模型配置
 */
interface ViewModelOptions {
    /**
     * 注入集合
     */
    providers: StaticProvider[];
    /**
     * 父注入器
     */
    parent: ViewModel | App | null;
}
/**
 * 动作方法
 */
type ActionMethod = (...args: any[]) => any;
export { ViewModelOptions, ActionMethod };
