import { PropsMetadatas, SameNamePropsMetadatas } from './types';
/**
 * 属性元数据读取器
 */
declare class PropMetadataReader {
    /**
     * 获取所有属性的所有类型元数据
     */
    static getPropsMetas(constructor: any): PropsMetadatas;
    /**
     * 获取所有属性某一类型的元数据
     */
    static getPropsMetasByName<T>(constructor: any, metaName: string): SameNamePropsMetadatas<T>;
}
export { PropMetadataReader };
