import { Ref, UnwrapRef } from 'vue';
import { Form } from '../../form/index';
import { Mapper } from './mapper';
/**
 * 表单映射器
 */
declare class FormMapper implements Mapper {
    /**
     * 实体状态
     */
    private form;
    /**
     * 响应式实体状态
     */
    private formRef;
    /**
     * 实体状态订阅
     */
    private stopFormWatch;
    /**
     * 构造函数
     */
    constructor(form: Form);
    /**
     * 映射
     */
    map(): Ref<UnwrapRef<Form>> | null;
    /**
     * 同步
     */
    private sync;
    /**
     * 注销
     */
    dispose(): void;
}
export { FormMapper };
