import { ViewModel } from '../../viewmodel/index';
import { Mapper } from './mapper';
/**
 * 视图模型映射器
 */
declare class ViewModelMapper implements Mapper {
    /**
     * 映射器集合
     */
    private mappers;
    /**
     * 视图模型
     */
    private viewModel;
    /**
     * 映射后的视图模型
     */
    private mappedViewModel;
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel);
    /**
     * 映射
     */
    map(): any;
    /**
     * 映射状态
     */
    private mapStates;
    /**
     * 映射值访问器
     */
    private mapGetters;
    /**
     * 映射动作
     */
    private mapActions;
    /**
     * 映射命令
     */
    private mapCommandActions;
    /**
     * 注销
     */
    dispose(): void;
    /**
     * 创建映射器
     */
    private initMappers;
}
export { ViewModelMapper };
