import { Type } from '../common/index';
import { EntitySchema } from './entity-schema/index';
import { Entity } from './entity';
import { EntityList } from './entity-list';
/**
 * 创建实体集合
 */
declare function createEntityList<T extends Entity>(entityType: Type<Entity>, entityDatas: any[]): EntityList<T>;
/**
 * 创建实体列表（按描述）
 */
declare function createEntityListBySchema<T extends Entity>(entitySchema: EntitySchema, entityDatas: any[]): EntityList<T>;
export { createEntityList, createEntityListBySchema };
