import { ValueAccessor } from './value-accessors';
/**
 * 表单控件
 */
declare class FormControl {
    /**
     * 值访问器
     */
    private valueAccessor;
    /**
     * 是否必填
     */
    required: boolean;
    /**
     * 是否只读
     */
    readonly: boolean;
    /**
     * 构造函数
     */
    constructor(valueAccessor: ValueAccessor);
    /**
     * 获取控件值
     */
    get value(): any;
    /**
     * 设置控件值
     */
    set value(value: any);
}
export { FormControl };
