import { ViewModel } from '../../viewmodel/index';
/**
 * 变量解析器上下文
 */
interface VariableParseContext {
    /**
     * 视图模型
     */
    viewModel: ViewModel;
    /**
     * 其他上下文
     */
    extraContext?: any;
}
/**
 * 变量解析器接口
 */
interface VariableParser {
    parse(expression: string, context: VariableParseContext): any;
}
/**
 * 变量解析器注入Token
 */
declare const VARIABLE_PARSERS_TOKEN: import("../../common/index").InjectionToken<any>;
export { VariableParseContext, VariableParser, VARIABLE_PARSERS_TOKEN };
