/**
 * 命令动作元数据类型
 */
interface CommandActionPropMeta {
    name: string;
    params?: {
        [key: string]: any;
    };
}
/**
 * 命令动作元数据名称
 */
declare const COMMAND_ACTION_PROP_META_NAME = "COMMAND_ACTION";
/**
 * 命令动作装饰器类型
 */
type CommandActionPropDecoratorFactory = (commandactionMeta: CommandActionPropMeta) => MethodDecorator;
/**
 * 命令动作装饰器工厂
 */
declare const CommandAction: CommandActionPropDecoratorFactory;
export { CommandActionPropMeta, COMMAND_ACTION_PROP_META_NAME, CommandActionPropDecoratorFactory, CommandAction };
