/**
 * 访问器元数据类型
 */
interface GetterPropMeta {
    name?: string;
}
/**
 * 访问器元数据名称
 */
declare const GETTER_PROP_META_NAME = "GETTER";
/**
 * 访问器装饰器类型
 */
type GetterPropDecoratorFactory = (getterMeta?: GetterPropMeta) => MethodDecorator;
/**
 * 访问器装饰器工厂
 */
declare const Getter: GetterPropDecoratorFactory;
export { GetterPropMeta, GETTER_PROP_META_NAME, GetterPropDecoratorFactory, Getter };
