import { PropDecorator } from '../../common/index';
/**
 * 状态元数据类型
 */
interface StatePropMeta {
    name?: string;
}
/**
 * 状态元数据名称
 */
declare const STATE_PROP_META_NAME = "STATE";
/**
 * 状态装饰器类型
 */
type StatePropDecoratorFactory = (stateMeta?: StatePropMeta) => PropDecorator;
/**
 * 状态装饰器工厂
 */
declare const State: StatePropDecoratorFactory;
export { StatePropMeta, STATE_PROP_META_NAME, StatePropDecoratorFactory, State };
