import { EffectScope } from 'vue';
import { ActionPropWrapper } from './action-prop-wrapper';
import { ViewModel } from '../viewmodel';
/**
 * 动作属性包装器
 */
declare class CommandActionPropWrapper extends ActionPropWrapper {
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel, propName: string, propMeta: any, scope: EffectScope);
    /**
     * 包装属性
     * @summary
     * 对原始动作进行包装，跟踪方法的执行过程
     */
    wrap(): void;
    /**
     * 注销
     */
    dispose(): void;
}
export { CommandActionPropWrapper };
