import { EffectScope } from 'vue';
import { PropWrapper } from './prop-wrapper';
import { ViewModel } from '../viewmodel';
/**
 * 动作属性包装器
 */
declare class GetterPropWrapper extends PropWrapper {
    /**
     * 构造函数
     */
    constructor(viewModel: ViewModel, propName: string, propMeta: any, scope: EffectScope);
    /**
     * 包装属性
     * @summary
     * 将get方法包装成计算属性
     */
    wrap(): void;
    /**
     * 注销
     */
    dispose(): void;
}
export { GetterPropWrapper };
